OpenVDB 12.1.0

Loading...
Searching...
No Matches
PointKernelAttributeArray Struct Reference

`#include <openvdb_ax/codegen/PointComputeGenerator.h>`

## Public Types
using | Signature
using | FunctionTraitsT = codegen::FunctionTraits<Signature>

## Static Public Member Functions
static const std::array< const char *, N_ARGS > & | argumentKeys ()
static const char * | getDefaultName ()

## Static Public Attributes
static const size_t | N_ARGS = FunctionTraitsT::N_ARGS

## Member Typedef Documentation

## ◆ FunctionTraitsT

using FunctionTraitsT = codegen::FunctionTraits<Signature>

## ◆ Signature

using Signature

Initial value:
void(const void* const,
const int32_t (*)[3],
Index32*,
bool,
uint64_t,
void**,
void**,
uint64_t*,
const void* const,
void**,
void*)
openvdb::v12_1::Index32
uint32_t Index32
Definition Types.h:52

## Member Function Documentation

## ◆ argumentKeys()

const std::array< const char *, N_ARGS > & argumentKeys | ( |  | ) |
| static

## ◆ getDefaultName()

const char * getDefaultName | ( |  | ) |
| static

## Member Data Documentation

## ◆ N_ARGS

const size_t N_ARGS = FunctionTraitsT::N_ARGS
| static